function MonkHelper_Config()
----Create Frame for options-----
MonkHelper = {}
MonkHelper.panel = CreateFrame("Frame", "MHOpt", UIParent)
MonkHelper.panel.name = "Monk Helper"
InterfaceOptions_AddCategory(MonkHelper.panel)
MonkHelper.panel.default = function()
MonkHelper_Defaults()
MonkHelper_UpdateUI()
end

MonkHelper.panel.okay = function()
MonkHelper_Apply()
end
MonkHelper.panel.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.panel.refresh = function()
MonkHelper_Cancel()
end
MHapply = CreateFrame("Button", "MHApply", MonkHelper.panel, "UIPanelButtonTemplate")
MHapply:SetHeight(20)
MHapply:SetWidth(70)
MHapply:SetText("Apply")
MHapply:ClearAllPoints()
MHapply:SetPoint("CENTER", MonkHelper.panel, "BOTTOMRIGHT", -50, 20)
MHapply:SetScript("OnClick", MonkHelper_Apply)

------------------------------------------
MHscale = CreateFrame("Slider","MHScale", MonkHelper.panel)
MHscale:SetPoint("TOPLEFT", 15, -200)
MHscale:SetWidth(600)
MHscale:SetHeight(20)
MHscale:SetOrientation("HORIZONTAL")
MHscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHscale:SetMinMaxValues(0.5,2)
MHscale:SetValue(MonkHelper_Options.chibarscale)
MHscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHscale:SetScript("OnValueChanged", function (self, value) cbsvalue:SetText(string.sub(value, 1, 4)) end)
cbsheader = MonkHelper.panel:CreateFontString("MHChiBarScaleText", "OVERLAY", "GameFontNormal")
cbsheader:SetPoint("BOTTOMLEFT", MHscale, "TOPLEFT")
cbsheader:SetText("Chi Bar Scale")
cbsvalue = MonkHelper.panel:CreateFontString("MHCBSValue", "OVERLAY", "GameFontNormal")
cbsvalue:SetPoint("BOTTOMRIGHT", MHscale, "TOPRIGHT")
cbsvalue:SetText(string.sub(MonkHelper_Options.chibarscale, 1, 4))
----------------------------------------------
MHrscale = CreateFrame("Slider","MHRScale", MonkHelper.panel)
MHrscale:SetPoint("TOPLEFT", 15, -240)
MHrscale:SetWidth(600)
MHrscale:SetHeight(20)
MHrscale:SetOrientation("HORIZONTAL")
MHrscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHrscale:SetMinMaxValues(0.5,2)
MHrscale:SetValue(MonkHelper_Options.resourcebarscale)
MHrscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHrscale:SetScript("OnValueChanged", function (self, value) rsvalue:SetText(string.sub(value, 1, 4)) end)
rsheader = MonkHelper.panel:CreateFontString("MHResourceBarScaleText", "OVERLAY", "GameFontNormal")
rsheader:SetPoint("BOTTOMLEFT", MHrscale, "TOPLEFT")
rsheader:SetText("Resource Bar Scale")
rsvalue = MonkHelper.panel:CreateFontString("MHRBSValue", "OVERLAY", "GameFontNormal")
rsvalue:SetPoint("BOTTOMRIGHT", MHrscale, "TOPRIGHT")
rsvalue:SetText(string.sub(MonkHelper_Options.resourcebarscale, 1, 4))
--------------------------------- 
MHlock = CreateFrame("CheckButton", "MHLock", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHlock:SetPoint("TOPLEFT", 15, -20)
MHLockText:SetText("Lock Frames") -- $parentText
MHlock:SetChecked(MonkHelper_Options.lockframes)
mhlheader = MonkHelper.panel:CreateFontString("MHLockText", "OVERLAY", "GameFontNormal")
mhlheader:SetPoint("TOPLEFT", MHlock, "TOPRIGHT", 75, -4)
mhlheader:SetText("Frames auto-lock during combat.")
-----------------------------------------
MHhide = CreateFrame("CheckButton", "MHHide", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHhide:SetPoint("TOPLEFT", 15, -40)
MHHideText:SetText("Hide Frames When Out Of Combat") 
MHhide:SetChecked(MonkHelper_Options.hideframes)
---------------------------------------
MHchibarshow = CreateFrame("CheckButton", "MHChiBarShow", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHchibarshow:SetPoint("TOPLEFT", 15, -60)
MHChiBarShowText:SetText("Enable Chi Tracker")
MHchibarshow:SetChecked(MonkHelper_Options.show.MHchibar)
---------------------------------------
MHresourcebarshow = CreateFrame("CheckButton", "MHResourceBarShow", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHresourcebarshow:SetPoint("TOPLEFT", 15, -80)
MHResourceBarShowText:SetText("Enable Resource Tracker")
MHresourcebarshow:SetChecked(MonkHelper_Options.show.MHresourcebar)
----------------------------------------
MHparalysisshow = CreateFrame("CheckButton", "MHParalysisShow", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHparalysisshow:SetPoint("TOPLEFT", 15, -100)
MHParalysisShowText:SetText("Enable Paralysis Monitor")
MHparalysisshow:SetChecked(MonkHelper_Options.show.MHparalysis)
----------------------------------------
MHparalysisnotify = CreateFrame("CheckButton", "MHParalysisNotify", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHparalysisnotify:SetPoint("TOPLEFT", 15, -120)
MHParalysisNotifyText:SetText("Enable Paralysis Monitor Notifications")
MHparalysisnotify:SetChecked(MonkHelper_Options.pmnotify)
----------------------------------------

-- Spec & Talent options

MonkHelper.spec = CreateFrame("Frame", "MHSpecOpt", UIParent)
MonkHelper.spec.name = "Spec & Talents"
MonkHelper.spec.parent = MonkHelper.panel.name
InterfaceOptions_AddCategory(MonkHelper.spec)

MonkHelper.spec.default = function()
MonkHelper_Defaults()
MonkHelper_UpdateUI()
end
MonkHelper.spec.okay = function()
MonkHelper_Apply()
end
MonkHelper.spec.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.spec.refresh = function()
MonkHelper_Cancel()
end
MHapplyspec = CreateFrame("Button", "MHApplySpec", MonkHelper.spec, "UIPanelButtonTemplate")
MHapplyspec:SetHeight(20)
MHapplyspec:SetWidth(70)
MHapplyspec:SetText("Apply")
MHapplyspec:ClearAllPoints()
MHapplyspec:SetPoint("CENTER", MonkHelper.spec, "BOTTOMRIGHT", -50, 20)
MHapplyspec:SetScript("OnClick", MonkHelper_Apply)
-------------------------------------------------------
MHrisingsunkickshow = CreateFrame("CheckButton", "MHRisingSunKickShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHrisingsunkickshow:SetPoint("TOPLEFT", 15, -20)
MHRisingSunKickShowText:SetText("Enable Rising Sun Kick Tracker")
MHrisingsunkickshow:SetChecked(MonkHelper_Options.show.MHrisingsunkick)
--------------------------------------------------------
MHbrewtrackershow = CreateFrame("CheckButton", "MHBrewTrackerShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHbrewtrackershow:SetPoint("TOPLEFT", 15, -40)
MHBrewTrackerShowText:SetText("Enable Brew Tracker")
MHbrewtrackershow:SetChecked(MonkHelper_Options.show.MHbrewtracker)
--------------------------------------------------------
MHfistsoffuryshow = CreateFrame("CheckButton", "MHFistsofFuryShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHfistsoffuryshow:SetPoint("TOPLEFT", 15, -60)
MHFistsofFuryShowText:SetText("Enable Fists of Fury Tracker")
MHfistsoffuryshow:SetChecked(MonkHelper_Options.show.MHfistsoffury)
---------------------------------------------------------
MHkegsmashshow = CreateFrame("CheckButton", "MHKegSmashShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHkegsmashshow:SetPoint("TOPLEFT", 15, -80)
MHKegSmashShowText:SetText("Enable Keg Smash Tracker")
MHkegsmashshow:SetChecked(MonkHelper_Options.show.MHkegsmash)
---------------------------------------------------------
MHguardshow = CreateFrame("CheckButton", "MHGuardShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHguardshow:SetPoint("TOPLEFT", 15, -100)
MHGuardShowText:SetText("Enable Guard Tracker")
MHguardshow:SetChecked(MonkHelper_Options.show.MHguard)
---------------------------------------------------------
MHrenewingmistshow = CreateFrame("CheckButton", "MHRenewingMistShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHrenewingmistshow:SetPoint("TOPLEFT", 15, -120)
MHRenewingMistShowText:SetText("Enable Renewing Mist Tracker")
MHrenewingmistshow:SetChecked(MonkHelper_Options.show.MHrenewingmist)
---------------------------------------------------------
MHthunderfocusteashow = CreateFrame("CheckButton", "MHThunderFocusTeaShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHthunderfocusteashow:SetPoint("TOPLEFT", 15, -140)
MHThunderFocusTeaShowText:SetText("Enable Thunder Focus Tea Tracker")
MHthunderfocusteashow:SetChecked(MonkHelper_Options.show.MHthunderfocustea)

-------------------------------------------------------
MHtier2show = CreateFrame("CheckButton", "MHTier2Show", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHtier2show:SetPoint("TOPLEFT", 15, -160)
MHTier2ShowText:SetText("Enable Tier 2 Talent Tracker")
MHtier2show:SetChecked(MonkHelper_Options.show.MHtier2)

-------------------------------------------------------
-- Offensive ability options

MonkHelper.offensive = CreateFrame("Frame", "MHOffensiveOpt", UIParent)
MonkHelper.offensive.name = "Offensive Abilities"
MonkHelper.offensive.parent = MonkHelper.panel.name
InterfaceOptions_AddCategory(MonkHelper.offensive)

MonkHelper.offensive.default = function()
MonkHelper_Defaults()
MonkHelper_UpdateUI()
end
MonkHelper.offensive.okay = function()
MonkHelper_Apply()
end
MonkHelper.offensive.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.offensive.refresh = function()
MonkHelper_Cancel()
end
MHapplyoffensive = CreateFrame("Button", "MHApplyOffensive", MonkHelper.offensive, "UIPanelButtonTemplate")
MHapplyoffensive:SetHeight(20)
MHapplyoffensive:SetWidth(70)
MHapplyoffensive:SetText("Apply")
MHapplyoffensive:ClearAllPoints()
MHapplyoffensive:SetPoint("CENTER", MonkHelper.offensive, "BOTTOMRIGHT", -50, 20)
MHapplyoffensive:SetScript("OnClick", MonkHelper_Apply)
-----------------------------------------------------------
MHexpelharmshow = CreateFrame("CheckButton", "MHExpelHarmShow", MonkHelper.offensive, "ChatConfigCheckButtonTemplate")
MHexpelharmshow:SetPoint("TOPLEFT", 15, -20)
MHExpelHarmShowText:SetText("Enable Expel Harm Tracker")
MHexpelharmshow:SetChecked(MonkHelper_Options.show.MHexpelharm)
------------------------------------------------------------
MHtigerpowershow = CreateFrame("CheckButton", "MHTigerPowerShow", MonkHelper.offensive, "ChatConfigCheckButtonTemplate")
MHtigerpowershow:SetPoint("TOPLEFT", 15, -40)
MHTigerPowerShowText:SetText("Enable Tiger Power Tracker")
MHtigerpowershow:SetChecked(MonkHelper_Options.show.MHtigerpower)

----------------------------------------------------------------------------
-- Defensive ability options

MonkHelper.defensive = CreateFrame("Frame", "MHDefensiveOpt", UIParent)
MonkHelper.defensive.name = "Defensive Abilities"
MonkHelper.defensive.parent = MonkHelper.panel.name
InterfaceOptions_AddCategory(MonkHelper.defensive)

MonkHelper.defensive.default = function()
MonkHelper_Defaults()
MonkHelper_UpdateUI()
end
MonkHelper.defensive.okay = function()
MonkHelper_Apply()
end
MonkHelper.defensive.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.defensive.refresh = function()
MonkHelper_Cancel()
end
MHapplydefensive = CreateFrame("Button", "MHApplyDefensive", MonkHelper.defensive, "UIPanelButtonTemplate")
MHapplydefensive:SetHeight(20)
MHapplydefensive:SetWidth(70)
MHapplydefensive:SetText("Apply")
MHapplydefensive:ClearAllPoints()
MHapplydefensive:SetPoint("CENTER", MonkHelper.defensive, "BOTTOMRIGHT", -50, 20)
MHapplydefensive:SetScript("OnClick", MonkHelper_Apply)
-----------------------------------------------
MHdetoxshow = CreateFrame("CheckButton", "MHDetoxShow", MonkHelper.defensive, "ChatConfigCheckButtonTemplate")
MHdetoxshow:SetPoint("TOPLEFT", 15, -20)
MHDetoxShowText:SetText("Enable Detox Tracker")
MHdetoxshow:SetChecked(MonkHelper_Options.show.MHdetox)
-----------------------------------------------------------------------------


end

function MonkHelper_Apply()
MonkHelper_Options.chibarscale = MHscale:GetValue()
MonkHelper_Options.resourcebarscale = MHrscale:GetValue()
MonkHelper_Options.lockframes = MHlock:GetChecked()
MonkHelper_Options.hideframes = MHhide:GetChecked()
MonkHelper_Options.show.MHchibar = MHchibarshow:GetChecked()
MonkHelper_Options.show.MHresourcebar = MHresourcebarshow:GetChecked()
MonkHelper_Options.show.MHparalysis = MHparalysisshow:GetChecked()
MonkHelper_Options.pmnotify = MHparalysisnotify:GetChecked()
MonkHelper_Options.show.MHtier2 = MHtier2show:GetChecked()
MonkHelper_Options.show.MHexpelharm = MHexpelharmshow:GetChecked()
MonkHelper_Options.show.MHrisingsunkick = MHrisingsunkickshow:GetChecked()
MonkHelper_Options.show.MHtigerpower = MHtigerpowershow:GetChecked()
MonkHelper_Options.show.MHbrewtracker = MHbrewtrackershow:GetChecked()
MonkHelper_Options.show.MHfistsoffury = MHfistsoffuryshow:GetChecked()
MonkHelper_Options.show.MHkegsmash = MHkegsmashshow:GetChecked()
MonkHelper_Options.show.MHguard = MHguardshow:GetChecked()
MonkHelper_Options.show.MHrenewingmist = MHrenewingmistshow:GetChecked()
MonkHelper_Options.show.MHthunderfocustea = MHthunderfocusteashow:GetChecked()
MonkHelper_Options.show.MHdetox = MHdetoxshow:GetChecked()
MonkHelper_UpdateUI()
end

function MonkHelper_Cancel()
MHscale:SetValue(MonkHelper_Options.chibarscale)
MHrscale:SetValue(MonkHelper_Options.resourcebarscale)
MHlock:SetChecked(MonkHelper_Options.lockframes)
MHhide:SetChecked(MonkHelper_Options.hideframes)
MHchibarshow:SetChecked(MonkHelper_Options.show.MHchibar)
MHresourcebarshow:SetChecked(MonkHelper_Options.show.MHresourcebar)
MHparalysisshow:SetChecked(MonkHelper_Options.show.MHparalysis)
MHparalysisnotify:SetChecked(MonkHelper_Options.pmnotify)
MHtier2show:SetChecked(MonkHelper_Options.show.MHtier2)
MHexpelharmshow:SetChecked(MonkHelper_Options.show.MHexpelharm)
MHrisingsunkickshow:SetChecked(MonkHelper_Options.show.MHrisingsunkick)
MHtigerpowershow:SetChecked(MonkHelper_Options.show.MHtigerpower)
MHbrewtrackershow:SetChecked(MonkHelper_Options.show.MHbrewtracker)
MHfistsoffuryshow:SetChecked(MonkHelper_Options.show.MHfistsoffury)
MHkegsmashshow:SetChecked(MonkHelper_Options.show.MHkegsmash)
MHguardshow:SetChecked(MonkHelper_Options.show.MHguard)
MHrenewingmistshow:SetChecked(MonkHelper_Options.show.MHrenewingmist)
MHthunderfocusteashow:SetChecked(MonkHelper_Options.show.MHthunderfocustea)
MHdetoxshow:SetChecked(MonkHelper_Options.show.MHdetox)
end

function MonkHelper_Defaults()
MonkHelper_Options = {
chibarscale = 1,
resourcebarscale = 1,
lockframes = nil,
hideframes = nil,
pmnotify = 1,
show = {
MHchibar = 1,
MHresourcebar = 1,
MHparalysis = 1,
MHtier2 = 1,
MHexpelharm = 1,
MHrisingsunkick = 1,
MHtigerpower = 1,
MHbrewtracker = 1,
MHfistsoffury = 1,
MHkegsmash = 1, 
MHguard = 1,
MHrenewingmist = 1,
MHthunderfocustea = 1,
MHdetox = 1,
},
}
end


SLASH_MONKHELPER1 = "/mh"
SLASH_MONKHELPER2 = "/monkhelper"
SlashCmdList["MONKHELPER"] = function()
InterfaceOptionsFrame_OpenToCategory(MonkHelper.panel)
end

